<div *ngIf="mode == 'resetPassword'">
  <form *ngIf="!reseted" [formGroup]="form" (submit)="reset()">
    <div class="row">
      <mat-form-field class="col-4">
        <input type="password" matInput placeholder="Ton nouveau mot de passe" formControlName="password" autocomplete="off" required/>
        <mat-error *ngIf="form.controls['password'].invalid">Ton mot de passe est requis</mat-error>
      </mat-form-field>
    </div>
    <div class="row">
      <mat-form-field class="col-4">
        <input type="password" matInput placeholder="que tu dois confirmer" formControlName="confirmPassword" autocomplete="off" required
        />
        <mat-error *ngIf="form.controls['confirmPassword'].invalid">Les mots de passes ne correspondent pas</mat-error>
      </mat-form-field>
    </div>
    <button mat-raised-button color="pimary" type="submit" [disabled]="form.invalid">Modifier</button>
  </form>
  <p *ngIf="reseted">
    Merci, tu peux te
    <a routerLink="login">connecter maintenant</a>.
  </p>
  <p class="text-danger" *ngIf="registerError">
    {{ registerError }}
  </p>
</div>
<div *ngIf="mode == 'verifyEmail'">
  <div *ngIf="!validationMessage">
    <p *ngIf="!registerError">
      Merci, tu peux te
      <a routerLink="login">connecter maintenant</a>.
    </p>
    <p class="text-danger" *ngIf="registerError">
      {{ registerError }}
      <a (click)="sendEmail()">renvoyer le mail de validation</a>
    </p>
  </div>
  <p> {{ validationMessage }}</p>
</div>
